Module javafx.base
Package javafx.beans.value

## Interface ObservableLongValue

- All Superinterfaces:
    `Observable`, `ObservableNumberValue`, `ObservableValue<Number>`
  All Known Implementing Classes:
    `JavaBeanLongProperty`, `LongBinding`, `LongExpression`, `LongProperty`, `LongPropertyBase`, `ReadOnlyJavaBeanLongProperty`, `ReadOnlyLongProperty`, `ReadOnlyLongPropertyBase`, `ReadOnlyLongWrapper`, `SimpleLongProperty`, `SimpleStyleableLongProperty`, `StyleableLongProperty`

      public interface ObservableLongValue
      extends ObservableNumberValue

  An observable long value.
  Since:
    JavaFX 2.0
  See Also:
    `ObservableValue`, `ObservableNumberValue`

- - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `get()` | Returns the current value of this `ObservableLongValue`.

    - ### Methods inherited from interface javafx.beans.Observable

      `addListener, removeListener`

    - ### Methods inherited from interface javafx.beans.value.ObservableNumberValue

      `doubleValue, floatValue, intValue, longValue`

    - ### Methods inherited from interface javafx.beans.value.ObservableValue

      `addListener, getValue, removeListener`

- - ### Method Detail

    - #### get

          long get()

      Returns the current value of this `ObservableLongValue`.
      Returns:
        The current value